# cronvar – Manage variables in crontabs

- Synopsis
- Requirements
- Parameters
- Examples
- Status

## Synopsis

- Use this module to manage crontab variables.
- This module allows you to create, update, or delete cron variable definitions.

## Requirements

The below requirements are needed on the host that executes this module.

- cron

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

backup
boolean

Choices:
- no ←
- yes

If set, create a backup of the crontab before it is modified. The location of the backup is returned in the `backup` variable by this module.

cron_file string |  | If specified, uses this file instead of an individual user's crontab. Without a leading `/`, this is assumed to be in /etc/cron.d. With a leading `/`, this is taken as absolute.
insertafter string |  | If specified, the variable will be inserted after the variable specified. Used with `state=present`.
insertbefore string |  | Used with `state=present`. If specified, the variable will be inserted just before the variable specified.
name string / required |  | Name of the crontab variable.

state
string

Choices:
- absent
- present ←

Whether to ensure that the variable is present or absent.

user string |  | The specific user whose crontab should be modified. This parameter defaults to `root` when unset.
value string |  | The value to set this variable to. Required if `state=present`.

## Examples

    - name: Ensure entry like "EMAIL=doug@ansibmod.con.com" exists
      cronvar:
        name: EMAIL
        value: doug@ansibmod.con.com

    - name: Ensure a variable does not exist. This may remove any variable named "LEGACY"
      cronvar:
        name: LEGACY
        state: absent

    - name: Add a variable to a file under /etc/cron.d
      cronvar:
        name: LOGFILE
        value: /var/log/yum-autoupdate.log
        user: root
        cron_file: ansible_yum-autoupdate

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Doug Luce (@dougluce)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.